Skip to main content
PATCH
/
v1
/
workspace
Update workspace
curl --request PATCH \
  --url https://api.framelane.io/v1/workspace \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "id": "ws_01J8QR2K5VKDGN2T4FBM3CZYX8",
  "name": "Acme Corp",
  "created_at": "2023-11-07T05:31:56Z",
  "email": "dev@acmecorp.com",
  "email_verified": false,
  "plan": "free",
  "plan_status": "active"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
Required string length: 1 - 255

Response

Successful Response

id
string
required

Unique workspace ID.

Example:

"ws_01J8QR2K5VKDGN2T4FBM3CZYX8"

name
string
required

Display name for the workspace.

Example:

"Acme Corp"

created_at
string<date-time>
required

ISO-8601 UTC timestamp when the workspace was created.

email
string | null

Contact email for the workspace owner.

Example:

"dev@acmecorp.com"

email_verified
boolean
default:false

Whether the email address has been verified via OTP.

plan
enum<string>
default:free

Current billing plan: free, pro, or enterprise.

Available options:
free,
pro,
enterprise
Example:

"free"

plan_status
enum<string>
default:active

Billing status: active, past_due, cancelled, or trialing.

Available options:
active,
past_due,
cancelled,
trialing
Example:

"active"